<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.MeshData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_mesh_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_mesh_data-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.MeshData Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Internally represents a Unity UnityEngine.Mesh.  
 <a href="class_tri_lib_1_1_mesh_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a969022c0d1d24029fd2a222c2b3acdcf"><td class="memItemLeft" align="right" valign="top"><a id="a969022c0d1d24029fd2a222c2b3acdcf" name="a969022c0d1d24029fd2a222c2b3acdcf"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>Name</b></td></tr>
<tr class="separator:a969022c0d1d24029fd2a222c2b3acdcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad08d0afdd627b0d8919cbf6b882c01f2"><td class="memItemLeft" align="right" valign="top"><a id="ad08d0afdd627b0d8919cbf6b882c01f2" name="ad08d0afdd627b0d8919cbf6b882c01f2"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>SubMeshName</b></td></tr>
<tr class="separator:ad08d0afdd627b0d8919cbf6b882c01f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37ed9f0fe3288ad72296b7493aa304b5"><td class="memItemLeft" align="right" valign="top"><a id="a37ed9f0fe3288ad72296b7493aa304b5" name="a37ed9f0fe3288ad72296b7493aa304b5"></a>
Vector3[]&#160;</td><td class="memItemRight" valign="bottom"><b>Vertices</b></td></tr>
<tr class="separator:a37ed9f0fe3288ad72296b7493aa304b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab95a27c031c8ee75b49e3f823da26a35"><td class="memItemLeft" align="right" valign="top"><a id="ab95a27c031c8ee75b49e3f823da26a35" name="ab95a27c031c8ee75b49e3f823da26a35"></a>
Vector3[]&#160;</td><td class="memItemRight" valign="bottom"><b>Normals</b></td></tr>
<tr class="separator:ab95a27c031c8ee75b49e3f823da26a35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3cb49545875c3ff141a34a3ea56c066"><td class="memItemLeft" align="right" valign="top"><a id="ad3cb49545875c3ff141a34a3ea56c066" name="ad3cb49545875c3ff141a34a3ea56c066"></a>
Vector4[]&#160;</td><td class="memItemRight" valign="bottom"><b>Tangents</b></td></tr>
<tr class="separator:ad3cb49545875c3ff141a34a3ea56c066"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96e235ce51dec68e62c5deee96c1b549"><td class="memItemLeft" align="right" valign="top"><a id="a96e235ce51dec68e62c5deee96c1b549" name="a96e235ce51dec68e62c5deee96c1b549"></a>
Vector4[]&#160;</td><td class="memItemRight" valign="bottom"><b>BiTangents</b></td></tr>
<tr class="separator:a96e235ce51dec68e62c5deee96c1b549"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e2937a913a8701845fd9659bdff8a38"><td class="memItemLeft" align="right" valign="top"><a id="a6e2937a913a8701845fd9659bdff8a38" name="a6e2937a913a8701845fd9659bdff8a38"></a>
Vector2[]&#160;</td><td class="memItemRight" valign="bottom"><b>Uv</b></td></tr>
<tr class="separator:a6e2937a913a8701845fd9659bdff8a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b684b88359726b31982f6ce02d5945b"><td class="memItemLeft" align="right" valign="top"><a id="a5b684b88359726b31982f6ce02d5945b" name="a5b684b88359726b31982f6ce02d5945b"></a>
Vector2[]&#160;</td><td class="memItemRight" valign="bottom"><b>Uv1</b></td></tr>
<tr class="separator:a5b684b88359726b31982f6ce02d5945b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3103d9952fa862eed2b11e64f30f00c8"><td class="memItemLeft" align="right" valign="top"><a id="a3103d9952fa862eed2b11e64f30f00c8" name="a3103d9952fa862eed2b11e64f30f00c8"></a>
Vector2[]&#160;</td><td class="memItemRight" valign="bottom"><b>Uv2</b></td></tr>
<tr class="separator:a3103d9952fa862eed2b11e64f30f00c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c14d90a88b07d15937fd4c12d444c94"><td class="memItemLeft" align="right" valign="top"><a id="a4c14d90a88b07d15937fd4c12d444c94" name="a4c14d90a88b07d15937fd4c12d444c94"></a>
Vector2[]&#160;</td><td class="memItemRight" valign="bottom"><b>Uv3</b></td></tr>
<tr class="separator:a4c14d90a88b07d15937fd4c12d444c94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dc04a5055d178ac814a5b88e0c9a9ed"><td class="memItemLeft" align="right" valign="top"><a id="a1dc04a5055d178ac814a5b88e0c9a9ed" name="a1dc04a5055d178ac814a5b88e0c9a9ed"></a>
Color[]&#160;</td><td class="memItemRight" valign="bottom"><b>Colors</b></td></tr>
<tr class="separator:a1dc04a5055d178ac814a5b88e0c9a9ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59bf121ac5c6f5d05c6b42dcdadbd8d0"><td class="memItemLeft" align="right" valign="top"><a id="a59bf121ac5c6f5d05c6b42dcdadbd8d0" name="a59bf121ac5c6f5d05c6b42dcdadbd8d0"></a>
int[]&#160;</td><td class="memItemRight" valign="bottom"><b>Triangles</b></td></tr>
<tr class="separator:a59bf121ac5c6f5d05c6b42dcdadbd8d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a923e1356b8bfe264e88f9ed7f19cc0f4"><td class="memItemLeft" align="right" valign="top"><a id="a923e1356b8bfe264e88f9ed7f19cc0f4" name="a923e1356b8bfe264e88f9ed7f19cc0f4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>HasBoneInfo</b></td></tr>
<tr class="separator:a923e1356b8bfe264e88f9ed7f19cc0f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee05ff7144fe2cf8b0405413e7b68038"><td class="memItemLeft" align="right" valign="top"><a id="aee05ff7144fe2cf8b0405413e7b68038" name="aee05ff7144fe2cf8b0405413e7b68038"></a>
Matrix4x4[]&#160;</td><td class="memItemRight" valign="bottom"><b>BindPoses</b></td></tr>
<tr class="separator:aee05ff7144fe2cf8b0405413e7b68038"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cd9b4a381dac0518739f4ef30ed52d7"><td class="memItemLeft" align="right" valign="top"><a id="a9cd9b4a381dac0518739f4ef30ed52d7" name="a9cd9b4a381dac0518739f4ef30ed52d7"></a>
string[]&#160;</td><td class="memItemRight" valign="bottom"><b>BoneNames</b></td></tr>
<tr class="separator:a9cd9b4a381dac0518739f4ef30ed52d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45c0a8598b4222f0965bd499417876d0"><td class="memItemLeft" align="right" valign="top"><a id="a45c0a8598b4222f0965bd499417876d0" name="a45c0a8598b4222f0965bd499417876d0"></a>
BoneWeight[]&#160;</td><td class="memItemRight" valign="bottom"><b>BoneWeights</b></td></tr>
<tr class="separator:a45c0a8598b4222f0965bd499417876d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ced84888485662ccb9204af7e85341b"><td class="memItemLeft" align="right" valign="top"><a id="a0ced84888485662ccb9204af7e85341b" name="a0ced84888485662ccb9204af7e85341b"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>MaterialIndex</b></td></tr>
<tr class="separator:a0ced84888485662ccb9204af7e85341b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7193e46c62d9c1d9500f3fb6548a898"><td class="memItemLeft" align="right" valign="top"><a id="aa7193e46c62d9c1d9500f3fb6548a898" name="aa7193e46c62d9c1d9500f3fb6548a898"></a>
<a class="el" href="class_tri_lib_1_1_morph_data.html">MorphData</a>[]&#160;</td><td class="memItemRight" valign="bottom"><b>MorphsData</b></td></tr>
<tr class="separator:aa7193e46c62d9c1d9500f3fb6548a898"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44b27c27034df238977ae6b5a4e3117d"><td class="memItemLeft" align="right" valign="top"><a id="a44b27c27034df238977ae6b5a4e3117d" name="a44b27c27034df238977ae6b5a4e3117d"></a>
Mesh&#160;</td><td class="memItemRight" valign="bottom"><b>Mesh</b></td></tr>
<tr class="separator:a44b27c27034df238977ae6b5a4e3117d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Internally represents a Unity UnityEngine.Mesh. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/InternalData/<a class="el" href="_mesh_data_8cs.html">MeshData.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_mesh_data.html">MeshData</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
